/**  
* @Title: ResponseParam.java 
* @Package com.platform.ui.domain 
* @Description: TODO
* @author kiosk
* @date 2017年7月19日 上午10:32:11 
* @version V1.0
* @Copyright: Copyright (c) kiosk Co.Ltd. 2017
* ★★★★★★★★版权所有※拷贝必究 ★★★★★★★★
*/ 
package com.platform.response.xml;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlRootElement;

/** 
 * @ClassName: ResponseParam 
 * @Description: TODO
 * @author kiosk
 * @date 2017年7月19日 上午10:32:11
 * @version V1.0 
 */
@XmlRootElement(name="xml")
public class WxResponseParameterForQrCode implements Serializable{
	/** 
	* @Fields serialVersionUID : TODO(用一句话描述这个变量表示什么) 
	*/ 
	private static final long serialVersionUID = 7518495189858869700L;
	/**
	 * 公共参数
	 */
	private String service;//服务名称
	private String service_version;//服务版本号
	private String input_charset;//编码格式 UTF-8
	private String sign_type;//签名类型 MD5
	private String sign;//签名值
	/**
	 * 订单支付返回
	 */
	private String qr_url;
	private String return_code;//返回状态码
	private String result_code;//业务结果
	private String trade_type;//交易类型
	private String prepay_id;//预支付交易回话标识
	private String code_url;//二维码链接地址
	//return_code为success时返回appid mchid noce_str sign result_code
	//return_code result_code为successs时返回trade_type prepay_id code_url
	
	/**
	 * 支付异步通知返回
	 */
	private String return_msg;//返回信息
	//return_code为success
	private String appid;// 开发者的AppId
	private String mch_id;// 商户号
	private String nonce_str;//随机字符串
	private String open_id;//用户标识
	private Float total_fee;//金额
	private String transaction_id;//微信订单号
	private String out_trade_no;//商户订单号
	/**
	 * 退款异步通知返回
	 */
	//return_code为success
		private String Stringrefund_id;//微信退款单号
		private String out_refund_no;//商户退款号
		private String refund_status;//退款状态： 1：退款成功。 2：退款失败。 3：退款处理中。 4：未确定，需要商户原退款单号重新发起。 5：转入代发，退款到银行发现用户的卡作废或者冻结了，导致原路退款银行卡失败，资金回流到商户的现金帐号，需要商户人工干预，通过线下或者平台转账的方式进行退款
		private String refund_fee;//退款总金额,单位为元,可以做部分退款
		/**
		 * @return the service
		 */
		public String getService() {
			return service;
		}
		/**
		 * @param service the service to set
		 */
		public void setService(String service) {
			this.service = service;
		}
		/**
		 * @return the service_version
		 */
		public String getService_version() {
			return service_version;
		}
		/**
		 * @param service_version the service_version to set
		 */
		public void setService_version(String service_version) {
			this.service_version = service_version;
		}
		/**
		 * @return the input_charset
		 */
		public String getInput_charset() {
			return input_charset;
		}
		/**
		 * @param input_charset the input_charset to set
		 */
		public void setInput_charset(String input_charset) {
			this.input_charset = input_charset;
		}
		/**
		 * @return the sign_type
		 */
		public String getSign_type() {
			return sign_type;
		}
		/**
		 * @param sign_type the sign_type to set
		 */
		public void setSign_type(String sign_type) {
			this.sign_type = sign_type;
		}
		/**
		 * @return the sign
		 */
		public String getSign() {
			return sign;
		}
		/**
		 * @param sign the sign to set
		 */
		public void setSign(String sign) {
			this.sign = sign;
		}
		/**
		 * @return the return_code
		 */
		public String getReturn_code() {
			return return_code;
		}
		/**
		 * @param return_code the return_code to set
		 */
		public void setReturn_code(String return_code) {
			this.return_code = return_code;
		}
		/**
		 * @return the result_code
		 */
		public String getResult_code() {
			return result_code;
		}
		/**
		 * @param result_code the result_code to set
		 */
		public void setResult_code(String result_code) {
			this.result_code = result_code;
		}
		/**
		 * @return the trade_type
		 */
		public String getTrade_type() {
			return trade_type;
		}
		/**
		 * @param trade_type the trade_type to set
		 */
		public void setTrade_type(String trade_type) {
			this.trade_type = trade_type;
		}
		/**
		 * @return the prepay_id
		 */
		public String getPrepay_id() {
			return prepay_id;
		}
		/**
		 * @param prepay_id the prepay_id to set
		 */
		public void setPrepay_id(String prepay_id) {
			this.prepay_id = prepay_id;
		}
		/**
		 * @return the code_url
		 */
		public String getCode_url() {
			return code_url;
		}
		/**
		 * @param code_url the code_url to set
		 */
		public void setCode_url(String code_url) {
			this.code_url = code_url;
		}
		/**
		 * @return the return_msg
		 */
		public String getReturn_msg() {
			return return_msg;
		}
		/**
		 * @param return_msg the return_msg to set
		 */
		public void setReturn_msg(String return_msg) {
			this.return_msg = return_msg;
		}
		/**
		 * @return the appid
		 */
		public String getAppid() {
			return appid;
		}
		/**
		 * @param appid the appid to set
		 */
		public void setAppid(String appid) {
			this.appid = appid;
		}
		/**
		 * @return the mch_id
		 */
		public String getMch_id() {
			return mch_id;
		}
		/**
		 * @param mch_id the mch_id to set
		 */
		public void setMch_id(String mch_id) {
			this.mch_id = mch_id;
		}
	
		/**
		 * @return the nonce_str
		 */
		public String getNonce_str() {
			return nonce_str;
		}
		/**
		 * @param nonce_str the nonce_str to set
		 */
		public void setNonce_str(String nonce_str) {
			this.nonce_str = nonce_str;
		}
		/**
		 * @return the open_id
		 */
		public String getOpen_id() {
			return open_id;
		}
		/**
		 * @param open_id the open_id to set
		 */
		public void setOpen_id(String open_id) {
			this.open_id = open_id;
		}
		/**
		 * @return the total_fee
		 */
		public Float getTotal_fee() {
			return total_fee;
		}
		/**
		 * @param total_fee the total_fee to set
		 */
		public void setTotal_fee(Float total_fee) {
			this.total_fee = total_fee;
		}
		/**
		 * @return the transaction_id
		 */
		public String getTransaction_id() {
			return transaction_id;
		}
		/**
		 * @param transaction_id the transaction_id to set
		 */
		public void setTransaction_id(String transaction_id) {
			this.transaction_id = transaction_id;
		}
		/**
		 * @return the out_trade_no
		 */
		public String getOut_trade_no() {
			return out_trade_no;
		}
		/**
		 * @param out_trade_no the out_trade_no to set
		 */
		public void setOut_trade_no(String out_trade_no) {
			this.out_trade_no = out_trade_no;
		}
		/**
		 * @return the stringrefund_id
		 */
		public String getStringrefund_id() {
			return Stringrefund_id;
		}
		/**
		 * @param stringrefund_id the stringrefund_id to set
		 */
		public void setStringrefund_id(String stringrefund_id) {
			Stringrefund_id = stringrefund_id;
		}
		/**
		 * @return the out_refund_no
		 */
		public String getOut_refund_no() {
			return out_refund_no;
		}
		/**
		 * @param out_refund_no the out_refund_no to set
		 */
		public void setOut_refund_no(String out_refund_no) {
			this.out_refund_no = out_refund_no;
		}
		/**
		 * @return the refund_status
		 */
		public String getRefund_status() {
			return refund_status;
		}
		/**
		 * @param refund_status the refund_status to set
		 */
		public void setRefund_status(String refund_status) {
			this.refund_status = refund_status;
		}
		/**
		 * @return the refund_fee
		 */
		public String getRefund_fee() {
			return refund_fee;
		}
		/**
		 * @param refund_fee the refund_fee to set
		 */
		public void setRefund_fee(String refund_fee) {
			this.refund_fee = refund_fee;
		}
		/**
		 * @return the qr_url
		 */
		public String getQr_url() {
			return qr_url;
		}
		/**
		 * @param qr_url the qr_url to set
		 */
		public void setQr_url(String qr_url) {
			this.qr_url = qr_url;
		}
		
}
